bm::bvector< Alloc >::allocation_policy Struct Reference

memory allocation policy More...

`#include <bm.h>`

## Public Member Functions

| allocation_policy (bm::strategy s=BM_BIT, const gap_word_t *glevels=bm::gap_len_table< true >::_len) BMNOEXCEPT

## Data Fields

bm::strategy | strat
const gap_word_t * | glevel_len

## Detailed Description

template<class Alloc>
struct bm::bvector< Alloc >::allocation_policy

memory allocation policy

Defualt memory allocation policy uses BM_BIT, and standard GAP levels tune-ups

Definition at line 804 of file bm.h.

## Constructor & Destructor Documentation

## allocation_policy()

template<class Alloc>

bm::bvector< Alloc >::allocation_policy::allocation_policy | ( | bm::strategy | s = BM_BIT,
|  | const gap_word_t * | glevels = bm::gap_len_table<true>::_len )

inline

Definition at line 809 of file bm.h.

References bm::gap_len_table< T >::_len, bm::BM_BIT, BMNOEXCEPT, glevel_len, and strat.

## Field Documentation

## glevel_len

template<class Alloc>

const gap_word_t* bm::bvector< Alloc >::allocation_policy::glevel_len

Definition at line 807 of file bm.h.

Referenced by allocation_policy().

## strat

template<class Alloc>

bm::strategy bm::bvector< Alloc >::allocation_policy::strat

Definition at line 806 of file bm.h.

Referenced by allocation_policy().

The documentation for this struct was generated from the following file:

- bm.h